记录日常工作关于系统运维,虚拟化云计算,数据库,网络安全等各方面问题。

centos6的系统关于openssh版本太低只有openssh5.3,需要升级到最新版openssh8.0p1,

为了方便,这个制作了一个RPM版本的安装包,可以在centos6、RHEL6系统安装,确认正常。

安装方法,先下载附件中的openssh8的RPM包,执行下列命令

#:  yum -y install gcc gcc-c++ zlib zlib-devel openssl openssl-devel pam-devel pam-devel rpm-build pam-devel openssl pam libedit pam-devel initscripts libXt-devel imake gtk2-devel unzip

 安装依赖包,不是所有包都需要。

#:  rpm -e `rpm -qa |grep openssh` --nodeps

删除旧版openssh软件包。

#:  rpm -ivh *.rpm 

  安装所有新版openssh8安装包。


openssh8安装包


当然还有一个很重要的事情,安装好后,请修改配置文件启用root账号。

最好启用sshd服务:


#: /etc/init.d/sshd start     直接启动服务就行

#:/etc/init.d/sshd restart   测试重启服务。

最好远程测试下ssh是否正常登陆。
分享到0

转载请标明出处【Centos6/RHEL6系统关于openssh8p1升级RPM安装包】。

《www.92cto.com》 虚拟化云计算,系统运维,安全技术服务.

名字:

个人主页地址:

E-mail:

评论列表